# Uses of Enum Class
org.eclipse.emf.cdo.common.security.CDOPermission

Packages that use CDOPermission
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.security
Common concepts for dealing with permissions and protectable entities.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOPermission in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDOPermission
Modifier and Type
Method
Description
`CDOPermission`
CDOObject.`cdoPermission()`
Returns the permission of the current `session`'s user for this object.

## Uses of CDOPermission in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return types with arguments of type CDOPermission
Modifier and Type
Method
Description
`Map<CDOID,CDOPermission>`
CDOProtocol.CommitNotificationInfo.`getNewPermissions()`
Method parameters in org.eclipse.emf.cdo.common.protocol with type arguments of type CDOPermission
Modifier and Type
Method
Description
`void`
CDOProtocol.CommitNotificationInfo.`setNewPermissions(Map<CDOID,CDOPermission> newPermissions)`

## Uses of CDOPermission in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDOPermission
Modifier and Type
Method
Description
`CDOPermission`
CDORevision.`getPermission()`

## Uses of CDOPermission in org.eclipse.emf.cdo.common.security

Methods in org.eclipse.emf.cdo.common.security that return CDOPermission
Modifier and Type
Method
Description
`static CDOPermission`
CDOPermission.`get(int bits)`
`CDOPermission`
CDOPermissionProvider.Constant.`getPermission(CDORevision revision, CDOBranchPoint securityContext)`
`CDOPermission`
CDOPermissionProvider.`getPermission(CDORevision revision, CDOBranchPoint securityContext)`
`static CDOPermission`
CDOPermission.`parse(String str)`
`static CDOPermission`
CDOPermission.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOPermission[]`
CDOPermission.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CDOPermission in org.eclipse.emf.cdo.server

Fields in org.eclipse.emf.cdo.server declared as CDOPermission
Modifier and Type
Field
Description
`static final CDOPermission`
IRepositoryProtector.AuthorizationStrategy.Additive.`DEFAULT_INITIAL_PERMISSION`
`static final CDOPermission`
IRepositoryProtector.AuthorizationStrategy.Subtractive.`DEFAULT_INITIAL_PERMISSION`
`static final CDOPermission`
IRepositoryProtector.AuthorizationStrategy.Additive.`DEFAULT_TERMINAL_PERMISSION`
`static final CDOPermission`
IRepositoryProtector.AuthorizationStrategy.Subtractive.`DEFAULT_TERMINAL_PERMISSION`
Methods in org.eclipse.emf.cdo.server that return CDOPermission
Modifier and Type
Method
Description
`abstract CDOPermission`
IRepositoryProtector.RevisionAuthorizer.`authorizeRevision(ISession session, IRepositoryProtector.UserInfo userInfo, CDOBranchPoint securityContext, CDORevisionProvider revisionProvider, CDORevision revision)`
`final CDOPermission`
IRepositoryProtector.AuthorizationStrategy.`getCombinedPermission(CDOPermission currentPermission, CDOPermission newPermission)`
`final CDOPermission`
IRepositoryProtector.AuthorizationStrategy.`getInitialPermission()`
`CDOPermission`
IPermissionManager.`getPermission(CDORevision revision, CDOBranchPoint securityContext, String userID)`
Deprecated.
As of 4.2 call `IPermissionManager.getPermission(CDORevision, CDOBranchPoint, ISession)`.
`CDOPermission`
IPermissionManager.`getPermission(CDORevision revision, CDOBranchPoint securityContext, ISession session)`
`final CDOPermission`
IRepositoryProtector.AuthorizationStrategy.`getTerminalPermission()`
Methods in org.eclipse.emf.cdo.server with parameters of type CDOPermission
Modifier and Type
Method
Description
`final CDOPermission`
IRepositoryProtector.AuthorizationStrategy.`getCombinedPermission(CDOPermission currentPermission, CDOPermission newPermission)`
`final void`
IRepositoryProtector.AuthorizationStrategy.`setInitialPermission(CDOPermission initialPermission)`
`final void`
IRepositoryProtector.AuthorizationStrategy.`setTerminalPermission(CDOPermission terminalPermission)`
`boolean`
IRepositoryProtector.AuthorizationStrategy.Additive.`test(CDOPermission currentPermission, CDOPermission newPermission)`
`boolean`
IRepositoryProtector.AuthorizationStrategy.Constant.`test(CDOPermission currentPermission, CDOPermission newPermission)`
`boolean`
IRepositoryProtector.AuthorizationStrategy.Subtractive.`test(CDOPermission currentPermission, CDOPermission newPermission)`
`abstract boolean`
IRepositoryProtector.AuthorizationStrategy.`test(CDOPermission currentPermission, CDOPermission newPermission)`
Returns `true` if the `newPermission` is supposed to replace the `currentPermission`, `false` otherwise.
Constructors in org.eclipse.emf.cdo.server with parameters of type CDOPermission
Modifier
Constructor
Description
``
`Constant(CDOPermission permission)`

## Uses of CDOPermission in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return types with arguments of type CDOPermission
Modifier and Type
Method
Description
`Map<CDORevision,CDOPermission>`
CDOSessionPermissionsChangedEvent.`getOldPermissions()`

## Uses of CDOPermission in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision that return CDOPermission
Modifier and Type
Method
Description
`CDOPermission`
BaseCDORevision.`getPermission()`
`CDOPermission`
DelegatingCDORevision.`getPermission()`
`CDOPermission`
StubCDORevision.`getPermission()`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOPermission
Modifier and Type
Method
Description
`void`
BaseCDORevision.`setPermission(CDOPermission permission)`
`void`
DelegatingCDORevision.`setPermission(CDOPermission permission)`
`void`
InternalCDORevision.`setPermission(CDOPermission permission)`
`void`
StubCDORevision.`setPermission(CDOPermission permission)`

## Uses of CDOPermission in org.eclipse.emf.cdo.ui

Method parameters in org.eclipse.emf.cdo.ui with type arguments of type CDOPermission
Modifier and Type
Method
Description
`protected void`
CDOEventHandler.`viewPermissionsChanged(Map<CDOID,org.eclipse.net4j.util.collection.Pair<CDOPermission,CDOPermission>> permissionChanges)`
`protected void`
CDOEventHandler.`viewPermissionsChanged(Map<CDOID,org.eclipse.net4j.util.collection.Pair<CDOPermission,CDOPermission>> permissionChanges)`

## Uses of CDOPermission in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return types with arguments of type CDOPermission
Modifier and Type
Method
Description
`Map<CDOID,org.eclipse.net4j.util.collection.Pair<CDOPermission,CDOPermission>>`
CDOViewPermissionsChangedEvent.`getPermissionChanges()`
`Map<CDOID,org.eclipse.net4j.util.collection.Pair<CDOPermission,CDOPermission>>`
CDOViewPermissionsChangedEvent.`getPermissionChanges()`

## Uses of CDOPermission in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return CDOPermission
Modifier and Type
Method
Description
`final CDOPermission`
CDOObjectImpl.`cdoPermission()`

## Uses of CDOPermission in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOPermission
Modifier and Type
Method
Description
`Map<CDOID,CDOPermission>`
CDOSessionProtocol.CommitTransactionResult.`getNewPermissions()`
`Map<CDOID,CDOPermission>`
InternalCDOSession.InvalidationData.`getNewPermissions()`
`Map<CDORevision,CDOPermission>`
InternalCDOView.ViewInvalidationData.`getOldPermissions()`
`Map<CDORevision,CDOPermission>`
CDOSessionProtocol.`loadPermissions(InternalCDORevision[] revisions)`
Deprecated.
`Map<CDORevision,CDOPermission>`
CDOSessionProtocol.`loadPermissions3(Map<CDOBranchPoint,Set<InternalCDORevision>> revisions)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater2.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions, CDOCommitInfo commitInfo)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater3.`updatePermissions(InternalCDOSession session, Map<CDOBranchPoint,Set<InternalCDORevision>> revisions, CDOCommitInfo commitInfo)`
`default Map<CDORevision,CDOPermission>`
CDOPermissionUpdater3.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)`
Deprecated.
As of 4.22 use `CDOPermissionUpdater3.updatePermissions(InternalCDOSession, Map, CDOCommitInfo)`.
`Map<CDORevision,CDOPermission>`
InternalCDOSession.`updatePermissions()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOPermission
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.CommitTransactionResult.`addNewPermission(CDOID id, CDOPermission permission)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOPermission
Modifier and Type
Method
Description
`void`
InternalCDOSession.`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache, byte securityImpact, Map<CDOID,CDOPermission> newPermissions)`
Deprecated.
As of 4.6 use `InternalCDOSession.invalidate(InvalidationData)`.
`void`
InternalCDOSession.InvalidationData.`setNewPermissions(Map<CDOID,CDOPermission> newPermissions)`
`void`
InternalCDOView.ViewInvalidationData.`setOldPermissions(Map<CDORevision,CDOPermission> oldPermissions)`